Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network24.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
24.0.0.0
Broadcast address
31.255.255.255
First usable
24.0.0.1
Last usable
31.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
A (default /8)
As numbers
Hex 18000000 · Integer 402653184 to 536870911
Reverse DNS zones
24.in-addr.arpa
25.in-addr.arpa
26.in-addr.arpa
27.in-addr.arpa
28.in-addr.arpa
29.in-addr.arpa
30.in-addr.arpa
31.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011000.00000000.00000000.0000000024.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network00011000.00000000.00000000.0000000024.0.0.0
Broadcast00011111.11111111.11111111.1111111131.255.255.255
Split into smaller subnets/12

24.0.0.0/5 makes 128 subnets of /12.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
124.0.0.0/1224.0.0.1 to 24.15.255.25424.15.255.2551,048,574
224.16.0.0/1224.16.0.1 to 24.31.255.25424.31.255.2551,048,574
324.32.0.0/1224.32.0.1 to 24.47.255.25424.47.255.2551,048,574
424.48.0.0/1224.48.0.1 to 24.63.255.25424.63.255.2551,048,574
524.64.0.0/1224.64.0.1 to 24.79.255.25424.79.255.2551,048,574
624.80.0.0/1224.80.0.1 to 24.95.255.25424.95.255.2551,048,574
724.96.0.0/1224.96.0.1 to 24.111.255.25424.111.255.2551,048,574
824.112.0.0/1224.112.0.1 to 24.127.255.25424.127.255.2551,048,574
924.128.0.0/1224.128.0.1 to 24.143.255.25424.143.255.2551,048,574
1024.144.0.0/1224.144.0.1 to 24.159.255.25424.159.255.2551,048,574
1124.160.0.0/1224.160.0.1 to 24.175.255.25424.175.255.2551,048,574
1224.176.0.0/1224.176.0.1 to 24.191.255.25424.191.255.2551,048,574
1324.192.0.0/1224.192.0.1 to 24.207.255.25424.207.255.2551,048,574
1424.208.0.0/1224.208.0.1 to 24.223.255.25424.223.255.2551,048,574
1524.224.0.0/1224.224.0.1 to 24.239.255.25424.239.255.2551,048,574
1624.240.0.0/1224.240.0.1 to 24.255.255.25424.255.255.2551,048,574
1725.0.0.0/1225.0.0.1 to 25.15.255.25425.15.255.2551,048,574
1825.16.0.0/1225.16.0.1 to 25.31.255.25425.31.255.2551,048,574
1925.32.0.0/1225.32.0.1 to 25.47.255.25425.47.255.2551,048,574
2025.48.0.0/1225.48.0.1 to 25.63.255.25425.63.255.2551,048,574
2125.64.0.0/1225.64.0.1 to 25.79.255.25425.79.255.2551,048,574
2225.80.0.0/1225.80.0.1 to 25.95.255.25425.95.255.2551,048,574
2325.96.0.0/1225.96.0.1 to 25.111.255.25425.111.255.2551,048,574
2425.112.0.0/1225.112.0.1 to 25.127.255.25425.127.255.2551,048,574
2525.128.0.0/1225.128.0.1 to 25.143.255.25425.143.255.2551,048,574
2625.144.0.0/1225.144.0.1 to 25.159.255.25425.159.255.2551,048,574
2725.160.0.0/1225.160.0.1 to 25.175.255.25425.175.255.2551,048,574
2825.176.0.0/1225.176.0.1 to 25.191.255.25425.191.255.2551,048,574
2925.192.0.0/1225.192.0.1 to 25.207.255.25425.207.255.2551,048,574
3025.208.0.0/1225.208.0.1 to 25.223.255.25425.223.255.2551,048,574
3125.224.0.0/1225.224.0.1 to 25.239.255.25425.239.255.2551,048,574
3225.240.0.0/1225.240.0.1 to 25.255.255.25425.255.255.2551,048,574
3326.0.0.0/1226.0.0.1 to 26.15.255.25426.15.255.2551,048,574
3426.16.0.0/1226.16.0.1 to 26.31.255.25426.31.255.2551,048,574
3526.32.0.0/1226.32.0.1 to 26.47.255.25426.47.255.2551,048,574
3626.48.0.0/1226.48.0.1 to 26.63.255.25426.63.255.2551,048,574
3726.64.0.0/1226.64.0.1 to 26.79.255.25426.79.255.2551,048,574
3826.80.0.0/1226.80.0.1 to 26.95.255.25426.95.255.2551,048,574
3926.96.0.0/1226.96.0.1 to 26.111.255.25426.111.255.2551,048,574
4026.112.0.0/1226.112.0.1 to 26.127.255.25426.127.255.2551,048,574
4126.128.0.0/1226.128.0.1 to 26.143.255.25426.143.255.2551,048,574
4226.144.0.0/1226.144.0.1 to 26.159.255.25426.159.255.2551,048,574
4326.160.0.0/1226.160.0.1 to 26.175.255.25426.175.255.2551,048,574
4426.176.0.0/1226.176.0.1 to 26.191.255.25426.191.255.2551,048,574
4526.192.0.0/1226.192.0.1 to 26.207.255.25426.207.255.2551,048,574
4626.208.0.0/1226.208.0.1 to 26.223.255.25426.223.255.2551,048,574
4726.224.0.0/1226.224.0.1 to 26.239.255.25426.239.255.2551,048,574
4826.240.0.0/1226.240.0.1 to 26.255.255.25426.255.255.2551,048,574
4927.0.0.0/1227.0.0.1 to 27.15.255.25427.15.255.2551,048,574
5027.16.0.0/1227.16.0.1 to 27.31.255.25427.31.255.2551,048,574
5127.32.0.0/1227.32.0.1 to 27.47.255.25427.47.255.2551,048,574
5227.48.0.0/1227.48.0.1 to 27.63.255.25427.63.255.2551,048,574
5327.64.0.0/1227.64.0.1 to 27.79.255.25427.79.255.2551,048,574
5427.80.0.0/1227.80.0.1 to 27.95.255.25427.95.255.2551,048,574
5527.96.0.0/1227.96.0.1 to 27.111.255.25427.111.255.2551,048,574
5627.112.0.0/1227.112.0.1 to 27.127.255.25427.127.255.2551,048,574
5727.128.0.0/1227.128.0.1 to 27.143.255.25427.143.255.2551,048,574
5827.144.0.0/1227.144.0.1 to 27.159.255.25427.159.255.2551,048,574
5927.160.0.0/1227.160.0.1 to 27.175.255.25427.175.255.2551,048,574
6027.176.0.0/1227.176.0.1 to 27.191.255.25427.191.255.2551,048,574
6127.192.0.0/1227.192.0.1 to 27.207.255.25427.207.255.2551,048,574
6227.208.0.0/1227.208.0.1 to 27.223.255.25427.223.255.2551,048,574
6327.224.0.0/1227.224.0.1 to 27.239.255.25427.239.255.2551,048,574
6427.240.0.0/1227.240.0.1 to 27.255.255.25427.255.255.2551,048,574
6528.0.0.0/1228.0.0.1 to 28.15.255.25428.15.255.2551,048,574
6628.16.0.0/1228.16.0.1 to 28.31.255.25428.31.255.2551,048,574
6728.32.0.0/1228.32.0.1 to 28.47.255.25428.47.255.2551,048,574
6828.48.0.0/1228.48.0.1 to 28.63.255.25428.63.255.2551,048,574
6928.64.0.0/1228.64.0.1 to 28.79.255.25428.79.255.2551,048,574
7028.80.0.0/1228.80.0.1 to 28.95.255.25428.95.255.2551,048,574
7128.96.0.0/1228.96.0.1 to 28.111.255.25428.111.255.2551,048,574
7228.112.0.0/1228.112.0.1 to 28.127.255.25428.127.255.2551,048,574
7328.128.0.0/1228.128.0.1 to 28.143.255.25428.143.255.2551,048,574
7428.144.0.0/1228.144.0.1 to 28.159.255.25428.159.255.2551,048,574
7528.160.0.0/1228.160.0.1 to 28.175.255.25428.175.255.2551,048,574
7628.176.0.0/1228.176.0.1 to 28.191.255.25428.191.255.2551,048,574
7728.192.0.0/1228.192.0.1 to 28.207.255.25428.207.255.2551,048,574
7828.208.0.0/1228.208.0.1 to 28.223.255.25428.223.255.2551,048,574
7928.224.0.0/1228.224.0.1 to 28.239.255.25428.239.255.2551,048,574
8028.240.0.0/1228.240.0.1 to 28.255.255.25428.255.255.2551,048,574
8129.0.0.0/1229.0.0.1 to 29.15.255.25429.15.255.2551,048,574
8229.16.0.0/1229.16.0.1 to 29.31.255.25429.31.255.2551,048,574
8329.32.0.0/1229.32.0.1 to 29.47.255.25429.47.255.2551,048,574
8429.48.0.0/1229.48.0.1 to 29.63.255.25429.63.255.2551,048,574
8529.64.0.0/1229.64.0.1 to 29.79.255.25429.79.255.2551,048,574
8629.80.0.0/1229.80.0.1 to 29.95.255.25429.95.255.2551,048,574
8729.96.0.0/1229.96.0.1 to 29.111.255.25429.111.255.2551,048,574
8829.112.0.0/1229.112.0.1 to 29.127.255.25429.127.255.2551,048,574
8929.128.0.0/1229.128.0.1 to 29.143.255.25429.143.255.2551,048,574
9029.144.0.0/1229.144.0.1 to 29.159.255.25429.159.255.2551,048,574
9129.160.0.0/1229.160.0.1 to 29.175.255.25429.175.255.2551,048,574
9229.176.0.0/1229.176.0.1 to 29.191.255.25429.191.255.2551,048,574
9329.192.0.0/1229.192.0.1 to 29.207.255.25429.207.255.2551,048,574
9429.208.0.0/1229.208.0.1 to 29.223.255.25429.223.255.2551,048,574
9529.224.0.0/1229.224.0.1 to 29.239.255.25429.239.255.2551,048,574
9629.240.0.0/1229.240.0.1 to 29.255.255.25429.255.255.2551,048,574
9730.0.0.0/1230.0.0.1 to 30.15.255.25430.15.255.2551,048,574
9830.16.0.0/1230.16.0.1 to 30.31.255.25430.31.255.2551,048,574
9930.32.0.0/1230.32.0.1 to 30.47.255.25430.47.255.2551,048,574
10030.48.0.0/1230.48.0.1 to 30.63.255.25430.63.255.2551,048,574
10130.64.0.0/1230.64.0.1 to 30.79.255.25430.79.255.2551,048,574
10230.80.0.0/1230.80.0.1 to 30.95.255.25430.95.255.2551,048,574
10330.96.0.0/1230.96.0.1 to 30.111.255.25430.111.255.2551,048,574
10430.112.0.0/1230.112.0.1 to 30.127.255.25430.127.255.2551,048,574
10530.128.0.0/1230.128.0.1 to 30.143.255.25430.143.255.2551,048,574
10630.144.0.0/1230.144.0.1 to 30.159.255.25430.159.255.2551,048,574
10730.160.0.0/1230.160.0.1 to 30.175.255.25430.175.255.2551,048,574
10830.176.0.0/1230.176.0.1 to 30.191.255.25430.191.255.2551,048,574
10930.192.0.0/1230.192.0.1 to 30.207.255.25430.207.255.2551,048,574
11030.208.0.0/1230.208.0.1 to 30.223.255.25430.223.255.2551,048,574
11130.224.0.0/1230.224.0.1 to 30.239.255.25430.239.255.2551,048,574
11230.240.0.0/1230.240.0.1 to 30.255.255.25430.255.255.2551,048,574
11331.0.0.0/1231.0.0.1 to 31.15.255.25431.15.255.2551,048,574
11431.16.0.0/1231.16.0.1 to 31.31.255.25431.31.255.2551,048,574
11531.32.0.0/1231.32.0.1 to 31.47.255.25431.47.255.2551,048,574
11631.48.0.0/1231.48.0.1 to 31.63.255.25431.63.255.2551,048,574
11731.64.0.0/1231.64.0.1 to 31.79.255.25431.79.255.2551,048,574
11831.80.0.0/1231.80.0.1 to 31.95.255.25431.95.255.2551,048,574
11931.96.0.0/1231.96.0.1 to 31.111.255.25431.111.255.2551,048,574
12031.112.0.0/1231.112.0.1 to 31.127.255.25431.127.255.2551,048,574
12131.128.0.0/1231.128.0.1 to 31.143.255.25431.143.255.2551,048,574
12231.144.0.0/1231.144.0.1 to 31.159.255.25431.159.255.2551,048,574
12331.160.0.0/1231.160.0.1 to 31.175.255.25431.175.255.2551,048,574
12431.176.0.0/1231.176.0.1 to 31.191.255.25431.191.255.2551,048,574
12531.192.0.0/1231.192.0.1 to 31.207.255.25431.207.255.2551,048,574
12631.208.0.0/1231.208.0.1 to 31.223.255.25431.223.255.2551,048,574
12731.224.0.0/1231.224.0.1 to 31.239.255.25431.239.255.2551,048,574
12831.240.0.0/1231.240.0.1 to 31.255.255.25431.255.255.2551,048,574

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses